## python-snapcast 2.3.6

=== Makefile ===
all:

.PHONY:	dist update
dist:
	rm -f dist/*.whl dist/*.tar.gz
	python setup.py sdist

release:
	twine upload dist/*.tar.gz

=== debian/changelog ===
python-snapcast (2.3.6-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Fri, 06 Dec 2024 08:39:08 +0000

python-snapcast (2.3.6-1) unstable; urgency=medium

  * Initial release. (Closes: #1088899)

 -- Edward Betts <edward@4angle.com>  Mon, 02 Dec 2024 16:49:43 +0000

=== debian/control ===
Source: python-snapcast
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-pytest <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/happyleavesaoc/python-snapcast
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-snapcast
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-snapcast.git

Package: python3-snapcast
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library to control and manage Snapcast clients on a network
 This library enables interaction with Snapcast servers, providing capabilities
 for reading and updating client configurations. It facilitates communication
 with Snapcast to reflect changes and manage audio streams effectively. Users
 can perform tasks such as retrieving client information, adjusting volume
 levels, and managing group configurations. Additionally, it supports
 asynchronous operations to maintain a responsive control interface with the
 Snapcast server. Clients can be coordinated into groups, and their latency
 settings can be configured for synchronized playback over Wi-Fi connected
 devices.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=snapcast
export PYBUILD_TEST_PYTEST=1
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf snapcast.egg-info/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-snapcast-$1\.tar\.gz/ \
  https://github.com/happyleavesaoc/python-snapcast/tags .*/v?(\d\S+)\.tar\.gz

## python-snapcast 2.3.7

=== debian/changelog ===
python-snapcast (2.3.7-1) unstable; urgency=medium

  * New upstream release.
  * Switch to autopkgtest-pkg-pybuild.
  * Update Standards-Version.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Sat, 03 May 2025 17:49:48 +0300

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,11 @@
 Build-Depends-Indep:
  python3-pytest <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/happyleavesaoc/python-snapcast
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-snapcast
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-snapcast.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-snapcast
 Architecture: all

=== debian/watch ===
version=4
https://github.com/happyleavesaoc/python-snapcast/tags .*/v?(\d\S+)\.tar\.gz
